<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:38 CEST 2019 -->
<title>org.firebirdsql.jdbc (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<h1 class="bar"><a href="../../../org/firebirdsql/jdbc/package-summary.html" target="classFrame">org.firebirdsql.jdbc</a></h1>
<div class="indexContainer">
<h2 title="Interfaces">Interfaces</h2>
<ul title="Interfaces">
<li><a href="FBObjectListener.html" title="interface in org.firebirdsql.jdbc" target="classFrame"><span class="interfaceName">FBObjectListener</span></a></li>
<li><a href="FBObjectListener.BlobListener.html" title="interface in org.firebirdsql.jdbc" target="classFrame"><span class="interfaceName">FBObjectListener.BlobListener</span></a></li>
<li><a href="FBObjectListener.FetcherListener.html" title="interface in org.firebirdsql.jdbc" target="classFrame"><span class="interfaceName">FBObjectListener.FetcherListener</span></a></li>
<li><a href="FBObjectListener.ResultSetListener.html" title="interface in org.firebirdsql.jdbc" target="classFrame"><span class="interfaceName">FBObjectListener.ResultSetListener</span></a></li>
<li><a href="FBObjectListener.StatementListener.html" title="interface in org.firebirdsql.jdbc" target="classFrame"><span class="interfaceName">FBObjectListener.StatementListener</span></a></li>
<li><a href="FirebirdBlob.html" title="interface in org.firebirdsql.jdbc" target="classFrame"><span class="interfaceName">FirebirdBlob</span></a></li>
<li><a href="FirebirdBlob.BlobInputStream.html" title="interface in org.firebirdsql.jdbc" target="classFrame"><span class="interfaceName">FirebirdBlob.BlobInputStream</span></a></li>
<li><a href="FirebirdBlob.BlobOutputStream.html" title="interface in org.firebirdsql.jdbc" target="classFrame"><span class="interfaceName">FirebirdBlob.BlobOutputStream</span></a></li>
<li><a href="FirebirdCallableStatement.html" title="interface in org.firebirdsql.jdbc" target="classFrame"><span class="interfaceName">FirebirdCallableStatement</span></a></li>
<li><a href="FirebirdConnection.html" title="interface in org.firebirdsql.jdbc" target="classFrame"><span class="interfaceName">FirebirdConnection</span></a></li>
<li><a href="FirebirdConnectionProperties.html" title="interface in org.firebirdsql.jdbc" target="classFrame"><span class="interfaceName">FirebirdConnectionProperties</span></a></li>
<li><a href="FirebirdDatabaseMetaData.html" title="interface in org.firebirdsql.jdbc" target="classFrame"><span class="interfaceName">FirebirdDatabaseMetaData</span></a></li>
<li><a href="FirebirdDriver.html" title="interface in org.firebirdsql.jdbc" target="classFrame"><span class="interfaceName">FirebirdDriver</span></a></li>
<li><a href="FirebirdParameterMetaData.html" title="interface in org.firebirdsql.jdbc" target="classFrame"><span class="interfaceName">FirebirdParameterMetaData</span></a></li>
<li><a href="FirebirdPreparedStatement.html" title="interface in org.firebirdsql.jdbc" target="classFrame"><span class="interfaceName">FirebirdPreparedStatement</span></a></li>
<li><a href="FirebirdResultSet.html" title="interface in org.firebirdsql.jdbc" target="classFrame"><span class="interfaceName">FirebirdResultSet</span></a></li>
<li><a href="FirebirdResultSetMetaData.html" title="interface in org.firebirdsql.jdbc" target="classFrame"><span class="interfaceName">FirebirdResultSetMetaData</span></a></li>
<li><a href="FirebirdSavepoint.html" title="interface in org.firebirdsql.jdbc" target="classFrame"><span class="interfaceName">FirebirdSavepoint</span></a></li>
<li><a href="FirebirdStatement.html" title="interface in org.firebirdsql.jdbc" target="classFrame"><span class="interfaceName">FirebirdStatement</span></a></li>
<li><a href="JdbcVersionSupport.html" title="interface in org.firebirdsql.jdbc" target="classFrame"><span class="interfaceName">JdbcVersionSupport</span></a></li>
<li><a href="StoredProcedureMetaData.html" title="interface in org.firebirdsql.jdbc" target="classFrame"><span class="interfaceName">StoredProcedureMetaData</span></a></li>
<li><a href="Synchronizable.html" title="interface in org.firebirdsql.jdbc" target="classFrame"><span class="interfaceName">Synchronizable</span></a></li>
</ul>
<h2 title="Classes">Classes</h2>
<ul title="Classes">
<li><a href="AbstractCallableStatement.html" title="class in org.firebirdsql.jdbc" target="classFrame">AbstractCallableStatement</a></li>
<li><a href="AbstractFieldMetaData.html" title="class in org.firebirdsql.jdbc" target="classFrame">AbstractFieldMetaData</a></li>
<li><a href="AbstractFieldMetaData.ExtendedFieldInfo.html" title="class in org.firebirdsql.jdbc" target="classFrame">AbstractFieldMetaData.ExtendedFieldInfo</a></li>
<li><a href="AbstractFieldMetaData.FieldKey.html" title="class in org.firebirdsql.jdbc" target="classFrame">AbstractFieldMetaData.FieldKey</a></li>
<li><a href="AbstractPreparedStatement.html" title="class in org.firebirdsql.jdbc" target="classFrame">AbstractPreparedStatement</a></li>
<li><a href="AbstractResultSet.html" title="class in org.firebirdsql.jdbc" target="classFrame">AbstractResultSet</a></li>
<li><a href="FBArray.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBArray</a></li>
<li><a href="FBBlob.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBBlob</a></li>
<li><a href="FBBlobInputStream.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBBlobInputStream</a></li>
<li><a href="FBBlobOutputStream.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBBlobOutputStream</a></li>
<li><a href="FBCachedBlob.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBCachedBlob</a></li>
<li><a href="FBCallableStatement.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBCallableStatement</a></li>
<li><a href="FBClob.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBClob</a></li>
<li><a href="FBConnection.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBConnection</a></li>
<li><a href="FBConnectionDefaults.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBConnectionDefaults</a></li>
<li><a href="FBConnectionProperties.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBConnectionProperties</a></li>
<li><a href="FBDatabaseMetaData.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBDatabaseMetaData</a></li>
<li><a href="FBDatabaseMetaData.Clause.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBDatabaseMetaData.Clause</a></li>
<li><a href="FBDataSource.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBDataSource</a></li>
<li><a href="FBDriver.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBDriver</a></li>
<li><a href="FBObjectListener.NoActionBlobListener.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBObjectListener.NoActionBlobListener</a></li>
<li><a href="FBObjectListener.NoActionResultSetListener.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBObjectListener.NoActionResultSetListener</a></li>
<li><a href="FBParameterMetaData.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBParameterMetaData</a></li>
<li><a href="FBPreparedStatement.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBPreparedStatement</a></li>
<li><a href="FBProcedureCall.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBProcedureCall</a></li>
<li><a href="FBProcedureParam.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBProcedureParam</a></li>
<li><a href="FBResultSet.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBResultSet</a></li>
<li><a href="FBResultSetMetaData.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBResultSetMetaData</a></li>
<li><a href="FBRowId.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBRowId</a></li>
<li><a href="FBRowUpdater.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBRowUpdater</a></li>
<li><a href="FBSavepoint.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBSavepoint</a></li>
<li><a href="FBStatement.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBStatement</a></li>
<li><a href="FBTpbMapper.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBTpbMapper</a></li>
<li><a href="FBUpdatableCursorFetcher.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBUpdatableCursorFetcher</a></li>
<li><a href="InternalTransactionCoordinator.html" title="class in org.firebirdsql.jdbc" target="classFrame">InternalTransactionCoordinator</a></li>
<li><a href="InternalTransactionCoordinator.AbstractTransactionCoordinator.html" title="class in org.firebirdsql.jdbc" target="classFrame">InternalTransactionCoordinator.AbstractTransactionCoordinator</a></li>
<li><a href="JavaTypeNameConstants.html" title="class in org.firebirdsql.jdbc" target="classFrame">JavaTypeNameConstants</a></li>
<li><a href="JaybirdTypeCodes.html" title="class in org.firebirdsql.jdbc" target="classFrame">JaybirdTypeCodes</a></li>
<li><a href="Jdbc42VersionSupport.html" title="class in org.firebirdsql.jdbc" target="classFrame">Jdbc42VersionSupport</a></li>
<li><a href="SQLStateConstants.html" title="class in org.firebirdsql.jdbc" target="classFrame">SQLStateConstants</a></li>
<li><a href="StoredProcedureMetaDataFactory.html" title="class in org.firebirdsql.jdbc" target="classFrame">StoredProcedureMetaDataFactory</a></li>
</ul>
<h2 title="Enums">Enums</h2>
<ul title="Enums">
<li><a href="CompletionReason.html" title="enum in org.firebirdsql.jdbc" target="classFrame">CompletionReason</a></li>
<li><a href="FBStatement.StatementResult.html" title="enum in org.firebirdsql.jdbc" target="classFrame">FBStatement.StatementResult</a></li>
<li><a href="JaybirdType.html" title="enum in org.firebirdsql.jdbc" target="classFrame">JaybirdType</a></li>
<li><a href="JdbcVersionSupportHolder.html" title="enum in org.firebirdsql.jdbc" target="classFrame">JdbcVersionSupportHolder</a></li>
<li><a href="QuoteStrategy.html" title="enum in org.firebirdsql.jdbc" target="classFrame">QuoteStrategy</a></li>
</ul>
<h2 title="Exceptions">Exceptions</h2>
<ul title="Exceptions">
<li><a href="FBDriverConsistencyCheckException.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBDriverConsistencyCheckException</a></li>
<li><a href="FBDriverNotCapableException.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBDriverNotCapableException</a></li>
<li><a href="FBMissingParameterException.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBMissingParameterException</a></li>
<li><a href="FBResultSetNotUpdatableException.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBResultSetNotUpdatableException</a></li>
<li><a href="FBSQLException.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBSQLException</a></li>
<li><a href="FBSQLExceptionInfo.html" title="class in org.firebirdsql.jdbc" target="classFrame">FBSQLExceptionInfo</a></li>
</ul>
</div>
</body>
</html>
